<?php

namespace App\Controllers\Admin\Equipment;

use App\Helpers\Equipment\DomainHelper;
use App\Services\Equipment\DomainService;
use CodeIgniter\HTTP\RedirectResponse;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

class DomainController extends EquipmentController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->title      = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): DomainService
    {
        if (!$this->_service) {
            $this->_service = new DomainService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): DomainHelper
    {
        if (!$this->_helper) {
            $this->_helper = new DomainHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련

    protected function setOrderByForList(): void
    {
        //OrderBy 처리
        $this->getService()->getModel()->orderBy('domain', 'ASC', false);
        parent::setOrderByForList();
    }
}
